Control Plane Installation

Operations of the Control Plane API. Paths are relative to your deployment's API host.

GET /api/control-plane-api/control-plane/installation/orgs

List every organization in the realm.

Authentication: bearer token (Authorization: Bearer <token>)

StatusDescriptionBody
200application/json ResourceDtoDataArrayEnvelope

POST /api/control-plane-api/control-plane/installation/orgs

Create an organization.

Authentication: bearer token (Authorization: Bearer <token>)

Request body: application/json ResourceSpecDto

StatusDescriptionBody
201application/json ResourceHandleDtoDataEnvelope

GET /api/control-plane-api/control-plane/installation/orgs/{id}

Get an organization by id.

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
idpathstringyes
StatusDescriptionBody
200application/json ResourceDtoDataEnvelope

PUT /api/control-plane-api/control-plane/installation/orgs/{id}

Update an organization by id.

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
idpathstringyes

Request body: application/json ResourceSpecDto

StatusDescriptionBody
200application/json ResourceDtoDataEnvelope

DELETE /api/control-plane-api/control-plane/installation/orgs/{id}

Delete (retire) an organization by id.

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
idpathstringyes
StatusDescriptionBody
204